Changeset 4c97193 for configure.ac


Ignore:
Timestamp:
Mar 29, 2010, 10:09:28 PM (11 years ago)
Author:
Nelson Elhage <nelhage@mit.edu>
Branches:
master, release-1.6, release-1.7, release-1.8, release-1.9
Children:
2d3ed95
Parents:
db4b293
git-author:
Nelson Elhage <nelhage@mit.edu> (03/28/10 11:45:48)
git-committer:
Nelson Elhage <nelhage@mit.edu> (03/29/10 22:09:28)
Message:
Explicitly check for the presence of libperl.

Apparently ExtUtils::Embed will just fail silently if you don't have
libperl installed.

Reviewed-by: Anders Kaseorg <andersk@mit.edu>
File:
1 edited

Legend:

Unmodified
Added
Removed
  • configure.ac

    rdb4b293 r4c97193  
    9797AC_MSG_NOTICE([Adding perl LIBS ${FOO}])
    9898LIBS=${LIBS}\ ${FOO}
     99AC_CHECK_LIB([perl], [perl_alloc],, AC_MSG_ERROR([No libperl found]))
    99100
    100101dnl Add CFLAGS and LDFLAGS for glib-2.0
Note: See TracChangeset for help on using the changeset viewer.